1. conite's Avatar
    Can u please put the APK here???

    Posted via CB10 from BlackBerry Passport on 10.3.3.1359 thru Airtel India SQW 100-1
    https://mega.nz/#F!lIUWjSSQ!yoLoiNX3PNG3Sef1Fa_fMA
    12-14-16 11:16 PM
  2. anon(9718713)'s Avatar
    Made the mistake of updating my Yahtzee With Buddies app. It was working better than ever with most recent update prior to 14 DEC 2016. Since update, basically dysfunctional. I am reaching out to Scopely support; however thought I'd ask here in case that comes up empty: would anyone have the most recent game apk file prior to 14 DEC? Def need to downgrade. It was thru this forum that I was able to successfully obtain the app versions needed to enjoy fb and messenger on my BBQ10. Many thanks.

    Posted via CB10
    Last edited by itemA; 12-16-16 at 01:47 AM.
    12-15-16 08:38 PM
  3. Lusitano17's Avatar
    "Does not exist" !
    Are you trying from your device browser?
    12-17-16 12:15 AM
  4. rajgriwall21's Avatar
    IF YOU ARE NEW TO THIS, YOU MAY WANT TO PRINT THIS PAGE OR READ IT ON A PC SCREEN!

    Hi!

    This thread is all about running Google apps on your Blackberry 10 device. But before we're talking about how to do that, you should first get familiar with some specialities of the Blackberry 10 Android runtime.

    The Android runtime in BB OS 10.3 is based on a modified Android OS 4.3 (Jelly Bean). Blackberry removed all Google services from the runtime and replaced them with a Blackberry specific counterpart.

    The following components have been removed or replaced by Blackberry:
    • Google Account Manager -> Replaced with Blackberry Account Manager
    • Google Services Framework -> Replaced with a stub that redirects Google Cloud Messaging requests to Blackberry Servers (used for push messaging).
    • Google Play Store -> Replaced with Blackberry World
    • Google Play Services -> Removed with no replacement

    As most of the Google apps cannot run properly with this setup, the missing components must be added again to the Blackberry Android runtime. I got my hands on the Android 4.3 GAPPS package, reverse engineered the apps and patched them (Google Account Manager, Google Play Store, Google Play Services), and I wrote an fully compliant emulation of the Google Services Framework (now called Blackberry Google ID) that supports device checkin to the Google services.

    If all files are installed and configured, your BB10 device will be able to run almost every Google app with full features (i.e. Google Maps, Google Photos, Google Sheets). Also 3rd Party apps like Clash of Clans will be able to use Google features (i.e. link the game to your Google account and save progress in the cloud).

    Please note that you will have to patch apps like Google Maps, Google Photos or Clash of Clans so that they can work together with the new Google files on your device. These apps will display an error message such as "This app requires Google Play Services...". After patching, the message will be gone and the app will be able to use all Google Play Services features.

    Known limitations:
    * Push messaging in Android apps does not work (if the device is in sleep mode)
    * Android Wear is only partly supported

    DOWNLOAD

    All files are available on one single file share. Pick the correct file according to your needs. Read the information section below for more details about the apps.

    Cobalt's official file share


    Google Account Manager: ESSENTIAL

    The Google Account Manager provides full support for Android apps that require a Google login. It is required for most of the Google apps such as Google Maps, Google Play store or Chrome browser. Install the Google Account Manager and login to create a Google system account on your device. Do not remove the app after installation.

    Latest version: Google Account Manager 4.3.3 [Released on October 10, 2015]

    Google Account Manager 4.4.4 is an experimental, newer version of the Google Login app. It is taken from Android 4.4 (KitKat) and it only works if Google Play Services is installed. You should always prefer version 4.3.3 over 4.4.4, becaue 4.3.3 was specifically built for Jelly Bean.


    Blackberry Google ID: ESSENTIAL

    The Blackberry Google ID app emulates low level functions of the Google Services Framework. It allows to sign in the device to Google Play Store and it provides content providers that are used to exchange data between Google apps. This app must be installed if you want to use Google Play Store or Google Play Services. Do not remove after installation. Do not unregister after successful registration!

    Latest version: Blackberry Google ID 2.8 [Released on December 23, 2015]


    Google Play Services

    The Google Play services APK contains several individual Google services and runs as a background service in the Android OS runtime. If installed, it provides full Google+ login support. Apps like Clash of Clans or Boom Beach can then synchronize progress with the remote servers. To synchronize game progress, you must also install the patched Google Play Games app.

    Please note that the Google Play Services icon will be labled "Google Settings" and not "Google Play Services" after it has been installed on the device!

    Latest version: Google Play Services 8.4.89 Build 5 [Released on April 13, 2016]

    Latest version:Google Play Games 3.6.27 [Released on March 4, 2016]


    Patching your own apps

    Some apps that you download from Play Store may display an error message such as "Google Play Services is not installed on your device". These apps must be patched in order to run on a Blackberry device. Patching is required because my modified Google Play services is signed with a non-Google signing key and this key doesn't match to the hardcoded key in the apps.

    Please take note of the following rules for installing patched apps:

    1. ALWAYS UNINSTALL ANY UNPATCHED VERSION BEFORE ATTEMPTING TO INSTALL A PATCHED ONE
    2. A patched app can never update an unpatched app (signature mismatch)
    3. An unpatched app can never update a patched app (signature mismatch)
    4. A patched app can always update an patched app (signature is the same, because the patcher always uses the same signature)

    You can download the patcher in this thread. Read the instructions there carefully:
    http://forums.crackberry.com/android...rvices-914930/

    DO NOT PATCH ANY OF THE APPS THAT YOU DOWNLOAD FROM THIS PAGE. THEY ARE PREPATCHED AND READY TO INSTALL!


    Google+ Whitelist

    This helper app spoofs the developer signature of patched apps so that they can use In-app Billing and Google+ login. You only have to whitelist an app if you want to use In-App billing or if logging in to a server fails.

    When you run the app for the first time, a basic set of spoofed signatures is inserted into the database. You can then add your own signatures by following the instructions below.

    Instructions:
    1. Run Google+ Whitelist
    2. Click on the three dots in the top right and choose add
    3. Select the UNPATCHED apk file of the app and add it to the whitelist
    4. Patch the app with Play Services Patcher
    5. Install the patched version of the app

    Pre-spoofed apps (you don't have to add them anymore):

    com.google.android.youtube
    com.google.android.apps.photos
    com.google.android.apps.chromecast.app
    com.google.android.videos
    com.google.android.apps.fitness
    com.google.earth
    com.google.android.apps.docs.editors.docs (Google Drive)
    com.google.android.apps.docs.editors.slides
    com.google.android.apps.docs.editors.sheets
    com.google.android.apps.cloudprint
    com.google.android.apps.vega (Google My Business)
    com.google.android.apps.enterprise.cpanel (Google Admin)
    com.google.android.apps.m4b (Google My Maps)
    com.google.android.apps.genie.geniewidget (Google News & Weather)
    com.google.android.apps.unveil
    com.google.android.apps.hangoutsdialer
    com.google.android.apps.youtube.creator
    com.google.android.gms
    com.google.android.gm
    com.google.android.talk
    com.google.android.keep
    com.google.android.launcher
    com.google.android.play.games
    com.google.android.googlequicksearch
    com.google.android.music
    com.google.android.apps.books
    com.android.chrome
    com.google.android.calender
    com.google.android.apps.plus
    com.google.android.apps.docs
    com.google.android.apps.magazines
    com.google.android.apps.inbox

    com.supercell.boombeach
    com.supercell.clashofclans
    com.supercell.hayday
    com.pushbullet.android
    com.tinder

    Google+ Whitelist REQUIRES Blackberry Google ID to be installed on the device, as this app provides the database where the signatures are saved in. If you remove Blackberry Google ID from your device, you will lose your custom added signatures.

    Latest version: Google+ Whitelist 1.0.0.4 [Released on October 8, 2015]


    Google Play store

    The Google Play store APK provides Access to the Google Play app market, where you can browse and download your favorite free and paid Android apps, books or even music. Play Store is also is required by some apps to run correctly, especially if they use any kind of license verification. Google Play store requires Google Account Manager and Blackberry Google ID to be installed on your device.

    The discussion and the download link have been moved to this thread:
    http://forums.crackberry.com/android.../#post11189556



    Community patched apps

    These apps have been patched by community members using my patching tools. They require all of my apps to be installed on the device.

    GetTaxi, Wheely, Lyft, Uber Driver, Uber Cab, TaxiForSure, Ola Cabs, Sidecar Drive [by tatail]
    http://forums.crackberry.com/android.../#post11580948

    Google Youtube 10.37.58 [by hasmukh1]
    https://mega.nz/#!qxxBzAQJ!3p4Zqaef-...tBBwR-KkJDgU9c

    Google Photos 1.6.0.103330409 [by hasmukh1]
    https://mega.nz/#!XgATySRY!VGMFLAx3h...IiS6HKDTtEFvmc


    Android Settings

    The Android Settings APK provides a direct access to the hidden Android settings of the Blackberry device. It also allows to edit the Google Account synchronization settings or to turn off app-notifications being sent to Blackberry hub.

    Android settings with included mobile data configuration option
    https://www.mycloud.ch/s/#S861C2793C...6898FDFF816FF8


    Android Browser

    The Android Browser APK provides a direct access to the original (and hidden) Android browser.


    How to get ALL features working in Google Maps

    • Install Google Account Manager and login
    • Install Blackberry Google ID and checkin
    • Install Google Play Sevices (wait 5 minutes after you installed and let the app settle)
    • Patch Google Maps with Play Services Patcher
    • Remove any unpatched version of Google Maps from your device (if existent)
    • Install patched Google Maps

    All features like instant AGPS lock-on, timeline, starred places etc. will now work as they would on an Android device.


    How to synchronize your village in COC or Boom Beach

    You can fully synchronize your village with your Google Account. The village will then be save, even if you delete the app or change your device.

    If you already have a village in COC/Boom Beach, you'll have to contact Supercell and tell them to link your village to your Google account. Don't tell them that you have a Blackberry device. Tell them that you have a Samsung S6. Supercell will ask you some questions about your village and then give you a code that identifies your village. You can then use that code to link the village on your Blackberry device.

    If you got the code, do the following:

    1. Install the full Cobalt Stack (all of my apps)
    2. Uninstall the existing Clash of Clans
    3. Patch Clash of Clans with Play Services Patcher
    4. Install the patched vesion and then connect your village with the code that your received from Supercell

    If you are a new player and don't have a village yet, you can simply patch the game, install it and link it right after the turorial. Contacting Supercell is not required.
    Hi,

    I am not able to register device
    Cobalt's official Google Apps landing page-img_20161217_193543.png

    Posted via CB10
    12-17-16 09:06 AM
  5. rajgriwall21's Avatar
    Seems to be no issue here.
    Attachment 413910

    Here is the patched app:
    https://www.dropbox.com/s/c32ddi00fj...tched.apk?dl=0

    Make sure you have the latest version of Cobalt's Google Play Services. I used my own Maps api key.

    DTEK60 / Z30
    Hey,

    I am getting error
    Cobalt's official Google Apps landing page-img_20161217_215712.png

    Posted via CB10
    12-17-16 11:27 AM
  6. rajgriwall21's Avatar
    Correct.
    Is there any newer version of play store available for BB passport

    Posted via CB10
    12-17-16 11:30 AM
  7. rajgriwall21's Avatar
    Hi Conite,

    Could you please share the link to latest play service

    Posted via CB10
    12-17-16 11:46 AM
  8. crawfells's Avatar
    Hi all,

    I'm having a problem with patched Elevate Brain Training App. It says 'Error downloading game - Please check your internet connection and try again'. I've definitely got internet, I've installed play games and I've added the unpatched apk to the Google+ whitelist and that didn't help either. I absolutely love this app and I've been trying everything I can think of to get it to work and I wonder what I'm missing. Any help would be so greatly appreciated!!

    Thank you,

    Crawfells
    12-17-16 01:50 PM
  9. Lusitano17's Avatar
    Hi Conite,

    Could you please share the link to latest play service

    Posted via CB10
    Look on very first page of this thread. Cobalt has place a share link under "Downloads" header.
    Its a MEGA link and needs to be opened on your PC . You want the version 9.8.77 file
    12-17-16 01:51 PM
  10. conite's Avatar
    Hi Conite,

    Could you please share the link to latest play service

    Posted via CB10
    I did. They are all in the mega link.
    12-17-16 02:11 PM
  11. conite's Avatar
    Hey,

    I am getting error
    Click image for larger version. 

Name:	IMG_20161217_215712.png 
Views:	556 
Size:	13.7 KB 
ID:	414423

    Posted via CB10
    Delete prior version of the app first.
    12-17-16 02:12 PM
  12. RicFr's Avatar
    Hi all,

    I'm having a problem with patched Elevate Brain Training App. It says 'Error downloading game - Please check your internet connection and try again'. I've definitely got internet, I've installed play games and I've added the unpatched apk to the Google+ whitelist and that didn't help either. I absolutely love this app and I've been trying everything I can think of to get it to work and I wonder what I'm missing. Any help would be so greatly appreciated!!

    Thank you,

    Crawfells
    Welcome to the club of those having loved apps not connecting since 10.3.3. If you manage to have your app working please share how you did it. Ty !

    Posted via CB10
    12-17-16 05:44 PM
  13. SunnyBlackberry's Avatar
    Hi Conite,

    I would appreciate if you could please assist me?

    I have a Blackberry Passport Silver Edition, OS Version 10.3.3.2163 (Software Release 10.3.3.1435)

    I have previously installed all Cobalt’s apps and patched a few with Patcher version 1.6. Everything works fine except Uber app.
    I am not ready to make purchase and payments.

    I shall reboot my phone and follow Cobalt’s landing page steps but a few things are not clear to me (I have read all the relevant posts till fate and have a few questions).

    Could you please check if I have correct steps (File names) otherwise please correct them:

    1. Install Google Account Manager (com.google.android.gsf.login-4.3.3-cobalt.apk) and login. DO not Open and Do not remove the app after installation;

    2. Install Blackberry Google ID (cobalt.blackberry.googleid-2.8.apk) and Checkin/Register. Do not remove after installation. Do not unregister after successful registration;

    3. Install GPS v9? (See below question B)

    4. Install Google Account Manager (com.google.android.gsf.login-4.4.4-cobalt.apk), Do not open

    5. Install Google Play Services (com.google.android.gms-9.8.77-cobalt-build1.apk), wait 5 minutes after you installed and let the app settle. Please note that the Google Play Services icon will be labled "Google Settings" and not "Google Play Services" after it has been installed on the device;

    6. To synchronize game progress, you must also install the patched Google Play Games app. Install Google Play Games (com.google.android.play.games-3.7.24-cobalt.apk)

    7. Install Patched version of Google Maps
    a. Patch Google Maps with Play Services Patcher (PS_Patcher-1.6);
    b. Remove any unpatched version of Google Maps from your device (if existent)
    c. Install patched version Google Maps;

    Could you please clarify following:
    A. Do I need runtime update?
    B. Step 1 above - Do I need to log in to Google Account Manager (com.google.android.gsf.login-4.3.3-cobalt.apk) after installing? IS this considered Opening of the app?
    C. Step 3 above - GPS v9, What is that? And where can I get that from?
    D. Step 4 above - Do I need to Log in to updated version of Google Account Manager after installing?
    E. Step 5 above – Google Play Services Cobalt’s files has version 6.0.0 however version 7.1.23 is also available. Should I
    i. Install Cobal’s file (version 6.0.0); or
    ii. Try to find latest version and patch it using Pay Service Patcher 1.6?
    F. Step 7 above – Google Maps, Which version should I Patch, as I read in a few posts that latest versions can not be patched, Where can I get older version to patch or patched?
    G. What is apktool (2.2.0), use your maps api key, and use Patcher 1.5beta.
    H. Google Play Store, are they same just different names (I read in few posts), If they are different, when do I install Play Store and Where can I get that from?

    Kind regards

    Sunny Singh
    Last edited by SunnyBlackberry; 12-18-16 at 01:00 AM. Reason: Update: Step 4 should be read 4. Install Google Account Manager (com.google.android.gsf.login-4.4.4-cobalt.apk), Do not open
    12-17-16 07:35 PM
  14. conite's Avatar
    Hi Conite,

    I would appreciate if you could please assist me?

    I have a Blackberry Passport Silver Edition, OS Version 10.3.3.2163 (Software Release 10.3.3.1435)

    I have previously installed all Cobalts apps and patched a few with Patcher version 1.6. Everything works fine except Uber app.
    I am not ready to make purchase and payments.

    I shall reboot my phone and follow Cobalts landing page steps but a few things are not clear to me (I have read all the relevant posts till fate and have a few questions).

    Could you please check if I have correct steps (File names) otherwise please correct them:

    1.Install Google Account Manager (com.google.android.gsf.login-4.3.3-cobalt.apk) and login. DO not Open and Do not remove the app after installation;

    2.Install Blackberry Google ID (cobalt.blackberry.googleid-2.8.apk) and Checkin/Register. Do not remove after installation. Do not unregister after successful registration;

    3.Install GPS v9? (See below question B)

    4.Install Google Account Manager (com.google.android.gsf.login-4.3.3-cobalt.apk), Do not open

    5.Install Google Play Services (com.google.android.gms-9.8.77-cobalt-build1.apk), wait 5 minutes after you installed and let the app settle. Please note that the Google Play Services icon will be labled "Google Settings" and not "Google Play Services" after it has been installed on the device;

    6.To synchronize game progress, you must also install the patched Google Play Games app. Install Google Play Games (com.google.android.play.games-3.7.24-cobalt.apk)

    7.Install Patched version of Google Maps
    a.Patch Google Maps with Play Services Patcher (PS_Patcher-1.6);
    b.Remove any unpatched version of Google Maps from your device (if existent)
    c.Install patched version Google Maps;

    Could you please clarify following:
    A.Do I need runtime update?
    B.Step 1 above - Do I need to log in to Google Account Manager (com.google.android.gsf.login-4.3.3-cobalt.apk) after installing? IS this considered Opening of the app?
    C.Step 3 above - GPS v9, What is that? And where can I get that from?
    D.Step 4 above - Do I need to Log in to updated version of Google Account Manager after installing?
    E.Step 5 above Google Play Services Cobalts files has version 6.0.0 however version 7.1.23 is also available. Should I
    i.Install Cobals file (version 6.0.0); or
    ii.Try to find latest version and patch it using Pay Service Patcher 1.6?
    F.Step 7 above Google Maps, Which version should I Patch, as I read in a few posts that latest versions can not be patched, Where can I get older version to patch or patched?
    G.What is apktool (2.2.0), use your maps api key, and use Patcher 1.5beta.
    H.Google Play Store, are they same just different names (I read in few posts), If they are different, when do I install Play Store and Where can I get that from?

    Kind regards

    Sunny Singh
    You install 4.4.4 over 4.3.3, but don't open it.

    Only use Cobalt's Google Play Store (which happens to be v6).

    Uber app can no longer be recompiled when patched for maps. Use m.uber.com.

    Apktool is used by Patcher app. Google it for the latest version and replace the one in the Patcher lib folder.

    Get a developer maps api key so you can use it to patch apps that use mapping functions. Insert this key into Patcher app under "Google Maps" tab.

    https://console.developers.google.co...key=true&pli=1
    DreadPirateRegan likes this.
    12-17-16 09:23 PM
  15. SunnyBlackberry's Avatar
    You install 4.4.4 over 4.3.3, but don't open it.

    Only use Cobalt's Google Play Store (which happens to be v6).

    Uber app can no longer be recompiled when patched for maps. Use m.uber.com.

    Apktool is used by Patcher app. Google it for the latest version and replace the one in the Patcher lib folder.

    Get a developer maps api key so you can use it to patch apps that use mapping functions. Insert this key into Patcher app under "Google Maps" tab.

    https://console.developers.google.co...key=true&pli=1
    Thanks Conite,
    I am a still little confused as most of the questions are still un answered please see below.
    I was also expecting answers to my questions in same dot points as
    A, B, C, etc.

    Could you please confirm following:

    A.Do I need runtime update?

    B.Step 1 above - Do I need to log in to Google Account Manager (com.google.android.gsf.login-4.3.3-cobalt.apk) after installing? IS this considered Opening of the app?

    C.Step 3 above - GPS v9, What is that? And where can I get that from?

    D.Step 4 above - Do I need to Log in to updated version of Google Account Manager (4.4.4) after installing?

    E.Step 5 above Google Play Services Cobalts files has version 6.0.0 however version 7.1.23 is also available. Should I
    i.Install Cobals file (version 6.0.0); or
    ii.Try to find latest version and patch it using Pay Service Patcher 1.6?

    I shall install Version 6.


    F.Step 7 above Google Maps, Which version should I Patch, as I read in a few posts that latest versions can not be patched, Where can I get older version to patch or patched?

    G.What is apktool (2.2.0), use your maps api key, and use Patcher 1.5beta.
    Does that mean PS_Patcher-1.6 needs updating with this key for every app need patching?
    A big confusion, what is this and when is it required and when I do not need this?

    H.Google Play Store, are they same just different names (I read in few posts), If they are different, when do I install Play Store and Where can I get that from?
    12-17-16 11:59 PM
  16. conite's Avatar
    Thanks Conite,
    I am a still little confused as most of the questions are still un answered please see below.
    I was also expecting answers to my questions in same dot points as
    A, B, C, etc.

    Could you please confirm following:

    A.Do I need runtime update?

    B.Step 1 above - Do I need to log in to Google Account Manager (com.google.android.gsf.login-4.3.3-cobalt.apk) after installing? IS this considered Opening of the app?

    C.Step 3 above - GPS v9, What is that? And where can I get that from?

    D.Step 4 above - Do I need to Log in to updated version of Google Account Manager (4.4.4) after installing?

    E.Step 5 above Google Play Services Cobalts files has version 6.0.0 however version 7.1.23 is also available. Should I
    i.Install Cobals file (version 6.0.0); or
    ii.Try to find latest version and patch it using Pay Service Patcher 1.6?

    I shall install Version 6.


    F.Step 7 above Google Maps, Which version should I Patch, as I read in a few posts that latest versions can not be patched, Where can I get older version to patch or patched?

    G.What is apktool (2.2.0), use your maps api key, and use Patcher 1.5beta.
    Does that mean PS_Patcher-1.6 needs updating with this key for every app need patching?
    A big confusion, what is this and when is it required and when I do not need this?

    H.Google Play Store, are they same just different names (I read in few posts), If they are different, when do I install Play Store and Where can I get that from?
    Install instructions:
    /blackberry-10-os-f269/cobalts-official-google-apps-landing-page-965257-post12699483/

    All files available here:
    /blackberry-10-os-f269/cobalts-official-google-apps-landing-page-965257-post12700588/

    Runtime update only for 10.3.2.2876 and 10.3.2.2888.

    Latest GMaps works fine now.

    You need the maps api key in order to successfully patch an app that uses mapping functions (but not necessary for GMaps itself).
    12-18-16 12:05 AM
  17. SunnyBlackberry's Avatar
    Thanks Conite,
    I am a still unclear as a few of the questions are still un-answered.
    I do appreciate you taking the time to reply to my questions.
    You and a few others are tech savy, but not every one else is.
    Have you realised that why a lot of people are keep asking questions (Probably silly questions for you and) which you have answered them in the past?
    I think because there is not a page or post which list full step by step guide like Cobal’s Landing Page which covers every thing.
    Landing page does not cover topics and instructions for 4.4.4, GPS v9, Apktool, etc.

    I have read
    https://forums.crackberry.com/showthread.php?p=12699483 or Post #7696 but that left me unclear

    Could you please please read my questions in full and reply to each point?

    C. Step 3 above - GPS v9, What is that? And where can I get that from? There is no GPS file in the ‘Mega’ file share (https://forums.crackberry.com/showthread.php?p=12700588), or do you mean (com.google.android.gms-9.8.77-cobalt-build1.apk),
    If It is supposed to be GMS-9.8.77, then What I thought was Step 3, that does not exist, right?

    D. Step 4 above - Do I need to Log in to updated version of Google Account Manager (4.4.4) after installing? Or does it automatically log me in once updated version (4.4.4.) is installed?

    G. Apktool?
    I have got one key, from the link you sent earlier,

    Do I need this keys once to patch for Google Map App?
    or
    Do I need multiple of these keys prior to patching EVERY app, need mapping function?

    H. Google Play Store, are they same just different names (I read in few posts), If they are different, when do I install Play Store and Where can I get that from?

    Many Thanks.

    Sunny Singh
    12-18-16 01:12 AM
  18. conite's Avatar
    Thanks Conite,
    I am a still unclear as a few of the questions are still un-answered.
    I do appreciate you taking the time to reply to my questions.
    You and a few others are tech savy, but not every one else is.
    Have you realised that why a lot of people are keep asking questions (Probably silly questions for you and) which you have answered them in the past?
    I think because there is not a page or post which list full step by step guide like Cobals Landing Page which covers every thing.
    Landing page does not cover topics and instructions for 4.4.4, GPS v9, Apktool, etc.

    I have read
    https://forums.crackberry.com/showthread.php?p=12699483 or Post #7696 but that left me unclear

    Could you please please read my questions in full and reply to each point?

    C.Step 3 above - GPS v9, What is that? And where can I get that from? There is no GPS file in the Mega file share (https://forums.crackberry.com/showthread.php?p=12700588), or do you mean (com.google.android.gms-9.8.77-cobalt-build1.apk),
    If It is supposed to be GMS-9.8.77, then What I thought was Step 3, that does not exist, right?

    D.Step 4 above - Do I need to Log in to updated version of Google Account Manager (4.4.4) after installing? Or does it automatically log me in once updated version (4.4.4.) is installed?

    G.Apktool?
    I have got one key, from the link you sent earlier,

    Do I need this keys once to patch for Google Map App?
    or
    Do I need multiple of these keys prior to patching EVERY app, need mapping function?

    H. Google Play Store, are they same just different names (I read in few posts), If they are different, when do I install Play Store and Where can I get that from?

    Many Thanks.

    Sunny Singh
    I can't explain it any clearer than my previous post. Read it again. Each one of your final questions is specifically answered.

    Google Play Services is the only file with v9 in the name.
    DreadPirateRegan likes this.
    12-18-16 01:43 AM
  19. DreadPirateRegan's Avatar
    Thanks Conite,
    I am a still unclear as a few of the questions are still un-answered.
    I do appreciate you taking the time to reply to my questions.
    You and a few others are tech savy, but not every one else is.
    Have you realised that why a lot of people are keep asking questions (Probably silly questions for you and) which you have answered them in the past?
    I think because there is not a page or post which list full step by step guide like Cobals Landing Page which covers every thing.
    Landing page does not cover topics and instructions for 4.4.4, GPS v9, Apktool, etc.

    I have read
    https://forums.crackberry.com/showthread.php?p=12699483 or Post #7696 but that left me unclear

    Could you please please read my questions in full and reply to each point?

    C.Step 3 above - GPS v9, What is that? And where can I get that from? There is no GPS file in the Mega file share (https://forums.crackberry.com/showthread.php?p=12700588), or do you mean (com.google.android.gms-9.8.77-cobalt-build1.apk),
    If It is supposed to be GMS-9.8.77, then What I thought was Step 3, that does not exist, right?

    D.Step 4 above - Do I need to Log in to updated version of Google Account Manager (4.4.4) after installing? Or does it automatically log me in once updated version (4.4.4.) is installed?

    G.Apktool?
    I have got one key, from the link you sent earlier,

    Do I need this keys once to patch for Google Map App?
    or
    Do I need multiple of these keys prior to patching EVERY app, need mapping function?

    H. Google Play Store, are they same just different names (I read in few posts), If they are different, when do I install Play Store and Where can I get that from?

    Many Thanks.

    Sunny Singh
    I can tell you NO to "D", just install 4.4.4 over 4.3.3 [sic] like he said a bunch of times in just the past recent days, scroll back in this very "apps landing page" and good luck to YOU.

    Also, remember - Do not even open 4.4.4 just install it over the prior version mentioned above which was taught to me by Conite.

    Also, as for the api Gmaps key, you only need one google maps api key per person unless you are a developer of some sort id think then you may need a few.. anywho,. It's free!

    Again scroll back just a few pages for Conites suggestion on the order to install everything. Again, good luck.

    If you really want it to work and learn, it is easy. You will be wondering why you had so much trouble in a week to three if you really take your time and get into it. Conite usually will always have the answer but to repeat over and over, I dunno how he does it so if a touch of sarcasm makes him feel better (not in your case) I say it's his privilege! Seriously... I couldn't do what he does...

    -DPR

    BTW: I am tech savvy and had some unknown questions as well as silly ones that were answered so don't feel any type of way or explain, Conite usually always has the answer - Just ask but try not to ask twice+ is just my opinion! Conite is a "to the point guy" which I suppose you have to be when answering the same questions over and over or even just questions that maybe he feels to be basic knowledge. Again, I dunno how he does it but he does. Without his past help, i'd of been stuck but when it got real silly as if I was being lazy he would send me on a little tour around crackberry unassisted which looking back now, was smart of him to do for him and in the end, helped me even more!

    I assure you, everything you need to know is on CB already.

    PS: I am jealous he even gave you links, very few get links to the info! Trust me. You will get it. When you have a separate question from what you asked already, just ask, don't let anything discourage you.

    Posted via CB10
    Last edited by DreadPirateRegan; 12-18-16 at 02:10 AM.
    12-18-16 01:50 AM
  20. SunnyBlackberry's Avatar
    Thank you very much,
    12-18-16 02:56 AM
  21. SunnyBlackberry's Avatar
    Hi

    Could some one please help me patch a file.
    I am trying tp Patch Google Maps Version 9.42.3 for my BB Passport.

    I am trying to patch the apps with PS_Patcher-1.6, using API Key (under Google Map Tab) and i have also replaced apktool latest file in lib folder of teh patcher but i get following error message:

    Processing C:\Users\SinghSun\Desktop\com.google.android.apps. maps.apk
    The package contains 3 classes.dex files
    [Decompiling classes]
    Fatal error: Decompilation failed, aborting.
    [Cleaning up]
    Done.

    is teher a step by step guide what options to tick and/or untick in the patcher before patching an app?

    I have patched files in teh past with Cobal's patcher but without using API Key and without replacing Apktook file.
    I have also read this link but still not sure what needs to be done.
    http://forums.crackberry.com/android...rvices-914930/
    12-18-16 11:10 PM
  22. Lusitano17's Avatar
    Did you enable the "decompile resource" under the Options tab....it needs to be checked.

    Posted via CB10
    12-18-16 11:21 PM
  23. conite's Avatar
    Did you enable the "decompile resource" under the Options tab....it needs to be checked.

    Posted via CB10
    Not for GMaps. His problem is that he turned it on.
    12-18-16 11:24 PM
  24. Lusitano17's Avatar
    Not for GMaps. His problem is that he turned it on.
    I see that now... I read it as he has patched GMaps and he is trying to patch a secondary app with his personal API key.
    12-18-16 11:34 PM
  25. SunnyBlackberry's Avatar
    Thanks Conite.
    I shall not use API key to patch Google Map app.
    12-18-16 11:59 PM
9,589 ... 307308309310311 ...

Similar Threads

  1. Which android app you want to run on your BlackBerry
    By amritanshu singh in forum General BlackBerry Discussion
    Replies: 116
    Last Post: 05-19-18, 11:54 AM
  2. Will the amazon app store kill the blackberry world app store?
    By Allgoodnicknamesaretaken in forum BlackBerry Passport
    Replies: 26
    Last Post: 01-28-15, 12:23 PM
  3. Getting the PayPal app for my new Passport?
    By JVRudnick in forum BlackBerry Passport
    Replies: 22
    Last Post: 12-22-14, 11:29 PM
  4. Facebook & Crackberry Apps on Passport
    By UKAsh in forum CrackBerry Apps
    Replies: 5
    Last Post: 11-05-14, 11:43 PM
  5. BB Link type App for iphone 6 - ipad ??
    By Chopper110 in forum BlackBerry Z10
    Replies: 7
    Last Post: 10-06-14, 05:01 AM
LINK TO POST COPIED TO CLIPBOARD